	xgettext -C --qt --add-comments=TRANSLATORS --keyword=tr --from-code utf-8 qml/*.qml -o nav/locales/unav1.pot
	echo 'msgid "Search"' >> nav/locales/unav1.pot
	echo 'msgstr ""' >> nav/locales/unav1.pot
	echo 'msgid "Favorites"' >> nav/locales/unav1.pot
	echo 'msgstr ""' >> nav/locales/unav1.pot
	echo 'msgid "Nearby"' >> nav/locales/unav1.pot
	echo 'msgstr ""' >> nav/locales/unav1.pot
	echo 'msgid "Coordinates"' >> nav/locales/unav1.pot
	echo 'msgstr ""' >> nav/locales/unav1.pot
	echo 'msgid "Share"' >> nav/locales/unav1.pot
	echo 'msgstr ""' >> nav/locales/unav1.pot
	echo 'msgid "Cancel Route"' >> nav/locales/unav1.pot
	echo 'msgstr ""' >> nav/locales/unav1.pot
	
	echo 'msgid "Current"' >> nav/locales/unav1.pot
	echo 'msgstr ""' >> nav/locales/unav1.pot
	echo 'msgid "Destination"' >> nav/locales/unav1.pot
	echo 'msgstr ""' >> nav/locales/unav1.pot
	echo 'msgid "From Map"' >> nav/locales/unav1.pot
	echo 'msgstr ""' >> nav/locales/unav1.pot

	echo 'msgid "translator-credits"' >> nav/locales/unav1.pot
	echo 'msgstr ""' >> nav/locales/unav1.pot
	grep -Po 'data-localize=([^>]*)' nav/index.html | cut -d= -f2 | sed 's/^/msgid /' | sed 's/$/\nmsgstr ""/' >> nav/locales/unav1.pot
	xgettext -C --qt --keyword=tr --from-code utf-8 qml/js/PoiCategories.js -o nav/locales/unav2.pot
	xgettext -C --keyword=t --from-code utf-8 nav/class/*.js -o nav/locales/unav3.pot
	xgettext -C --qt --add-comments=TRANSLATORS --keyword=tr --from-code utf-8 qml/tuto/*.qml -o nav/locales/unav4.pot
	xgettext -C --qt --add-comments=TRANSLATORS --keyword=tr --from-code utf-8 qml/tuto/components/*.qml -o nav/locales/unav5.pot
	sed '1,18d' nav/locales/unav2.pot -i
	sed '1,18d' nav/locales/unav3.pot -i
	sed '1,18d' nav/locales/unav4.pot -i
	sed '1,18d' nav/locales/unav5.pot -i
	cat nav/locales/unav1.pot nav/locales/unav2.pot nav/locales/unav3.pot nav/locales/unav4.pot nav/locales/unav5.pot > nav/locales/unav.pot
	rm nav/locales/unav1.pot nav/locales/unav2.pot nav/locales/unav3.pot nav/locales/unav4.pot nav/locales/unav5.pot
	msguniq -o nav/locales/unav.pot nav/locales/unav.pot
	msgfmt -c nav/locales/unav.pot
	rm messages.mo

Translate javascript: Download .po files from LP, then:
	wget https://raw.githubusercontent.com/fileformat/lptools/master/po2json.py
	python po2json.py *.po
	rename 's/^unav-/messages-/' *.json
	mv messages-ast.json messages-a1.json
	mv messages-en_GB.json messages-e1.json
	mv messages-en_AU.json messages-e2.json
	mv messages-zh_CN.json messages-z1.json
	mv messages-zh_TW.json messages-z2.json
Move .json to nav/locales

Translate .qml: Download .mo files from LP and copy to /mo folder
